<?php

namespace App\Wrangler\Components;

use Illuminate\Http\Request;
use Medialight\Textstem\Models\WranglerPage;
use Medialight\Textstem\Wrangler\ActiveComponent;

class Prose extends ActiveComponent
{
    public static string $description = 'Displays some HTML content - intended for simple blocks of text with some formatting.';
    public static string $version = '1.0.1';

    public $config;

    public array $editSetup = [
        [
            'name' => 'template',
            'controltype' => 'select-template',
            'value' => 'default',
            'label' => 'View template',

        ],
        [
            'name' => 'title',
            'controltype' => 'text',
            'value' => '',
            'label' => 'Title',
            'size' => 3,
        ],
        [
            'name' => 'heading_level',
            'controltype' => 'select',
            'value' => 'h2',
            'options' => ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'],
            'label' => 'Heading Level',
            'size' => 1,
        ],
        [
            'name' => 'content',
            'controltype' => 'richtext',
            'value' => '',
            'label' => 'Content',
        ],
    ];

    public function render(Request $request, WranglerPage $wranglerPage)
    {

        return view($this->getView(), $this->data())->render();
    }

    public function preview()
    {
        return view($this->getView(), $this->data())->render();
    }
}
